/* consts.h */

/*
 *	$Log:	consts.h,v $
 * Revision 1.5  93/12/07  12:00:00  sE
 *
 * Revision 1.4  93/09/03  01:15:00  hana
 * VBV buffer operation 
 * 
 * Revision 1.1.1.1  93/03/29  11:27:53  oosa
 * MPEG1 encoder/decoder initial revision
 * 
 * Revision 1.1  1993/03/10  20:32:40  au
 * Initial revision
 *
 */

#define kMaxCharBufLen	200

#define FALSE 0
#define TRUE  1

#define BYTE         unsigned char
#define RND(i,x)     i = ((x)>0.0 ? floor((x)+0.5) : ceil((x)-0.5))
#define TRUNC(i,x)   i = ((x)>0.0 ? floor((x)) : ceil((x))

#define kMBWidth				16		/*	width of Macro Block in pel		*/
#define kMBHeight				16		/*	height of Macro Block in pel	*/

#define kIPicture	1			/*	I picture type		*/
#define kPPicture	2			/*	P picture type		*/
#define kBPicture	3			/*	B picture type	*/

#define kMBLen		(kMBWidth * kMBHeight)		/*	# of pels in MB			*/
#define kDCTSize	8			/*	width and height of DCT Block in pel	*/
#define kDCTLen		(kDCTSize * kDCTSize)		/*	# of pels in DCT Block	*/
#define kBWidth		8			/*	width of Chrom Block in pel				*/
#define kBHeight	8			/*	height of Chrom Block in pel			*/
#define kBLen		(kBWidth * kBHeight)		/*	# of pels in block		*/
#define kMBWidthDCT			(kMBWidth - kDCTSize)

/* macroblock type fields */
#define kMbIntra		0x0001	/*	macroblock_intra						*/
#define kMbPattern		0x0002	/*	macroblock_pattern						*/
#define kMbBackward		0x0004	/*	macroblock_motion_backward				*/
#define kMbForward		0x0008	/*	macroblock_motion_forward				*/
#define kMbQuant		0x0010	/*	macroblock_quant						*/

