/*************************************************************************
 **																		**
 **	File:	quant.c														**
 **	Code by:	Peter H. Au, Hughes Aircraft Company					**
 **				for the MPEG1 Technical Report							**
 **																		**
 **																		**
 **	Copyright (c) 1992 by ISO-IEC JTC1/SC29/WG11						**
 **	All rights reserved.												**
 **																		**
 **	Permission is granted to copy, use, or modify this program, for		**
 **	the development of the MPEG1 Technical Report.  It may not be sold	**
 **	for profit, the copyright notice must be reproduced on copies, and	**
 **	credit should be given as apropriate where it is due.				**
 **																		**
 **	HUGHES AIRCRAFT COMPANY MAKES NO WARRANTY AND ACCEPTS NO LIABILITY	**
 **	FOR THIS PROGRAM.													**
 **																		**
 *************************************************************************/

/*
 *	$Log:	quant.h,v $
 * Revision 1.3      93/08/20  21:15:53  hana
 * MPEG1 encoder minor revision
 * 
 * Revision 1.1.1.1  93/03/29  11:27:53  oosa
 * MPEG1 encoder/decoder initial revision
 * 
 * Revision 1.1  1993/03/10  20:32:40  au
 * Initial revision
 *
 */

/*
 *	Default intra quantizer matrix		
 *      On changing any part of this,		
 *	 you should make
 *	   cLoadIntraIntraQuantierMatrix = 0
 *	 in flc.h .
 */

BYTE	tQuantIntra[64] =
{
	 8, 16, 16, 19, 16, 19, 22, 22,
	22, 22, 22, 22, 26, 24, 26, 27,
	27, 27, 26, 26, 26, 26, 27, 27,
	27, 29, 29, 29, 34, 34, 34, 29,
	29, 29, 27, 27, 29, 29, 32, 32,
	34, 34, 37, 38, 37, 35, 35, 34,
	35, 38, 38, 40, 40, 40, 48, 48,
	46, 46, 56, 56, 58, 69, 69, 83
};


/*
 *	Default non intra quantizer matrix	
 *      On changing any part of this,		
 *	 you should make
 *	   cLoadNonIntraQuantierMatrix = 0
 *	 in flc.h .
 */

BYTE	tQuant[64] =
{
	16, 16, 16, 16, 16, 16, 16, 16,
	16, 16, 16, 16, 16, 16, 16, 16,
	16, 16, 16, 16, 16, 16, 16, 16,
	16, 16, 16, 16, 16, 16, 16, 16,
	16, 16, 16, 16, 16, 16, 16, 16,
	16, 16, 16, 16, 16, 16, 16, 16,
	16, 16, 16, 16, 16, 16, 16, 16,
	16, 16, 16, 16, 16, 16, 16, 16
};
