CC = gcc
YACC = bison
YACCOPT = -d -v -t -y
LEX = flex
LEXOPT = -8

CFLAGS = -I .

BINARYNAME = sysdec2

OBJS = y.tab.o lex.yy.o

all: $(BINARYNAME)

$(BINARYNAME): $(OBJS)
	$(CC) -o $(BINARYNAME) $(OBJS) -lfl 

y.tab.c: sysdec2.y 
	$(YACC) $(YACCOPT) sysdec2.y

lex.yy.c: sysdec2.lex y.tab.h
	$(LEX) $(LEXOPT) sysdec2.lex

y.tab.h: sysdec2.y
	$(YACC) -d sysdec2.y


install:
	cp -f $(BINARYNAME) /home/heuris/bin/$(BINARYNAME)
	chmod 755 /home/heuris/bin/$(BINARYNAME)
	strip /home/heuris/bin/$(BINARYNAME)
