/* flc.h */

/*
 *	$Log:	flc.h,v $
 * Revision 1.5  93/12/07  12:00:00  sE
 *
 * Revision 1.3      93/08/20  21:15:53  hanamura
 * MPEG1 encoder minor revision
 * 
 * Revision 1.2  93/06/15  14:59:40  oosa
 * *** empty log message ***
 * 
 * Revision 1.1  1993/03/10  20:32:40  au
 * Initial revision
 *
 */

/* fixed length codes and field widths */

#define bStartCode						32				/* bslbf	*/

/*	sequence flc	*/

#define cSequenceHeaderCode				0x000001B3		/*	bslbf	*/
#define cSequenceEndCode				0x000001B7		/*	bslbf	*/

#define bHorizontalSize					12				/*	uimsbf	*/
#define bVerticalSize					12				/*	uimsbf	*/
#define bPelAspectRatio					4				/*	uimsbf	*/
#define bPictureRate					4				/*	uimsbf	*/
#define bBitRate						18				/*	uimsbf	*/
#define bMarkerBit						1				/*	"1"		*/
#define bVbvBufferSize					10				/*	uimsbf	*/
#define bConstrainedParameterFlag		1
#define bLoadIntraQuantizerMatrix		1
#define bIntraQuantizer					8				/*	uimsbf	*/
#define bLoadNonIntraQuantizerMatrix	1
#define bNonIntraQuantizer				8				/*	uimsbf	*/


/*	group of picture flc	*/

#define cGroupStartCode					0x000001B8		/*	bslbf	*/

#define bTimeCode						25				/*	NEED	*/
#define bClosedGOP						1				/*	NEED	*/
#define bBrokenLink						1				/*	NEED	*/


/*	picture flc	*/

#define cPictureStartCode				0x00000100		/*	bslbf	*/

#define bTemporalReference				10				/*	uimsbf	*/
#define bPictureCodingType				3				/*	uimsbf	*/
#define bVbvDelay						16				/*	uimsbf	*/
#define bFullPelForwardVector			1
#define bForwardFCode					3				/*	uimsbf	*/
#define bFullPelBackwardVector			1
#define bBackwardFCode					3				/*	uimsbf	*/
#define bExtraBitPicture				1				/*	uimsbf	*/


/*	slice flc	*/

#define cSliceCodeMin					0x00000101		/*	bslbf	*/
#define cSliceCodeMax					0x000001AF		/*	bslbf	*/

#define bQuantizerScale					5				/*	uimsbf	*/
#define bExtraBitSlice					1				/*	uimsbf	*/


/* extension and user flc */

#define cExtensionStartCode				0x000001B5		/*	bslbf	*/
#define cUserDataStartCode				0x000001B2		/*	bslbf	*/

