/*   File:   encoder.c */

/*
 *      $Log:   encoder.c,v $
 * Revision 1.3      93/08/20  21:15:53  hanamura
 * MPEG1 encoder minor revision
 * 
 * Revision 1.2  93/06/15  15:29:13  oosa
 * 
 * 
 * Revision 1.1  1993/03/10  20:30:43  au
 * Initial revision
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include "consts.h"
#include "mpeg1.h"
#include "flc.h"
#include "encoder.pro"

int main(
	int     argc,
	char    *argv[])
{
	tParameter      parameter;
	tData           data;
	tRateControl    rateControl;
	int ret;

fprintf(stderr,"Starting program\n");
	if (argc > 1)   /*      get parameter data      */
		Initial(&parameter, &data, &rateControl, argv[1]);
	else
		Initial(&parameter, &data, &rateControl, "encoder.ini");

fprintf(stderr,"Initilized program\n");
	/* initialize user parameters */
	ret = InitParameter(&parameter); 

	/* initialize picture buffers */
	ret = InitData(&data, &parameter);
	
        ret = Print_Parameters(&data, &parameter, &rateControl);

	ProcSequence(&parameter, &data, &rateControl);
/* add error exit condition to the above  */

	return 0;
}
